import type { Reporter } from "gatsby";
import type { ContentType, Locale, Space, SyncCollection, Tag } from "./types/contentful-js-sdk";
import type { IProcessedPluginOptions } from "./types/plugin";
interface IFetchResult {
    currentSyncData: SyncCollection;
    tagItems: Array<Tag>;
    defaultLocale: string;
    locales: Array<Locale>;
    space: Space;
}
/**
 * Fetches:
 * * Locales with default locale
 * * Entries and assets
 * * Tags
 */
export declare function fetchContent({ syncToken, pluginConfig, reporter, }: {
    syncToken: string;
    pluginConfig: IProcessedPluginOptions;
    reporter: Reporter;
}): Promise<IFetchResult>;
/**
 * Fetches:
 * * Content types
 */
export declare function fetchContentTypes({ pluginConfig, reporter, }: {
    pluginConfig: IProcessedPluginOptions;
    reporter: Reporter;
}): Promise<Array<ContentType> | null>;
export {};
